.card-image,
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .option{
  position: relative;
  overflow: hidden;
  display: inline-block;
  cursor: pointer;
}
.card-image:hover img,
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper input:hover img {
  transform: scale(1.1);
}
.card-image:hover span{
  display: inherit;
  background-color: rgba(0, 0, 0, 0.6); /* sfondo visibile in hover */
}
.card-image img ,
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .option img{
  transition: transform 0.4s ease;
  display: block;
  width: 100%;
  height: auto;
}
.card-image span{
  position: absolute;
  bottom: 0;
  display: none;
  left: 0;
  padding: 15px 15px;
  text-transform: uppercase;
  color: white;
  text-align: center;
  width:100%;
  font-weight: bold;
  transition: background-color 0.3s ease;
  background-color: rgba(0, 0, 0, 0); /* trasparente di default */
}
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .option span{
  position: absolute;
  bottom: 0;
  display: block;
  left: 0;
  padding: 15px 15px;
  text-transform: uppercase;
  color: white;
  text-align: center;
  width:100%;
  font-weight: bold;
  transition: background-color 0.3s ease;
  background-color: rgba(0, 0, 0, 0.6);
}
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper input:checked + .option {
  border: 2px solid #007bff;

}
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper input {
  display: none;
}
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .webform-options-display-two-columns,
div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper div.webform-options-display-three-columns{
  margin: 0 auto;
  column-count: 1;
}
@media (min-width: 400px) {
  div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .webform-options-display-two-columns,
  div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper div.webform-options-display-three-columns {
    column-count: 1;
  }
}
@media (min-width: 768px) {
  div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper .webform-options-display-two-columns{
    display: block;
    max-width: 100%;
    margin-top: 0.4em;
    column-count: 2;
  }
  div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper div.webform-options-display-three-columns {
    display: block;
    max-width: 100%;
    margin-top: 0.4em;
    column-count: 3;
  }
}


div.webform-ajax-form-wrapper .wizard-photo-option .fieldset-wrapper span {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 15px 15px;
  text-transform: uppercase;
  color: white;
  text-align: center;
  width:100%;
  font-weight: bold;
  transition: background-color 0.3s ease;
  background-color: rgba(0, 0, 0, 0); /* trasparente di default */
}

div.webform-ajax-form-wrapper .form-item-totale{
  display: none;
}

div.webform-ajax-form-wrapper .form-actions {
  text-align: center;
}

.wizard-input-option,.wizard-photo-option{
  text-align: center;
  max-height: 400px;
  min-height: 400px;
}
.wizard-input-option,.wizard-photo-option img{
  height: 290px !important;
}

.wizard-input-option .form-group input{
  display: block;
  width: auto;
  margin: 0 auto;
  text-align: center;

}


@media (max-width: 768px) {
  .wizard-input-option .form-group input{
    width: 90%;
    font-size: 17px !important;
  }
  /** WebForm contatti homepage*/
  .webform-submission-contact-1-form input,
  .webform-submission-contact-1-form textarea{
    font-size: 17px !important;
  }
  .ui-dialog{
    top: 30px !important;
  }
  .ui-dialog .ui-dialog-content{
      height: 66vh !important;
    max-height: 66vh !important;
  }
}

.webform-confirmation__message {
  text-align: center;
}


div.webform-ajax-form-wrapper .webform-progress .webform-progress-tracker{
  margin: 20px auto;
}

div.webform-ajax-form-wrapper fieldset[id^='edit-quali-sono-le-misure--'] div.fieldset-wrapper .js-form-type-processed-text img{
  height: 190px !important;
  width: auto !important;
}
div.webform-ajax-form-wrapper fieldset[id^='edit-quali-sono-le-misure--'] div.fieldset-wrapper div[id^='edit-container-misure--']{
  margin: 0 auto;
  display: flex;
  text-align: center;
  flex-direction: row;
  align-content: center;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
}
div.webform-ajax-form-wrapper .messages-list{
  /*display: none;*/
}


.ui-dialog{
  z-index: 9999 !important;
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 1) 0px 5px 15px;
  width: 97vw !important;
  max-width: 1000px !important;
}

.ui-dialog .ui-dialog-titlebar{
  background-color: white;
  border: unset;
}
button.ui-dialog-titlebar-close::before {
  content: "X";
  position: absolute;
  top: 10px;
  left: 9px;
  line-height: 1rem;
  font-size: 13pt;
}

.ui-dialog button.ui-dialog-titlebar-close{
  background: rgba(34, 34, 34, 1);
  border: unset;
  color: white;
  height: 30px;
  width: 30px;
  border-radius: 50px;
  top: -5px;
  right: -8px;
  z-index: 9999;
}
.ui-dialog-title{
  display: none;
}


.ui-widget-overlay{
  background: black;
  opacity: 0.7;
}

.webform-submission-contact-1-form .webform-confirmation .webform-confirmation__message{
  margin: 15px;
  color: green;
  font-weight: bold;
}
.messages-list{
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 99999;
  left: 0;
  text-align: center;
  padding-bottom: 15px;
  padding-top: 15px;
  font-size: 12pt;
}
.messages-list .messages__list{
  margin-bottom: 8px;
}
.messages-list .messages__list li {
  list-style-type: none;
}

.messages-list:has(.messages--status){
  background-color: #659c65;
  color: black;
  border-top: 3px solid green;
}
.messages-list:has(.messages--error){
   background-color: #ea6262;
   color: black;
   border-top: 3px solid red;
 }

.messages-list .messages__header {
  display: none;
}

.tab-pane {
  text-align: center;
  font-size: 13pt !important;
}

.color-light-black{
  color: #111 !important;
}

section{
  padding-top: 60px !important;
}

section:has(#section-contatti){
  padding-top: 0px !important;
}

@media (max-width: 768px) {
  #section-progetti h3,
  #section-progetti p,
  #section-progetti div,
  .section-galleria p,
  .section-galleria div,
  #section-chi-siamo h2,
  #section-chi-siamo p,
  #section-chi-siamo div,
  .section-galleria h3 {
    text-align: center !important;
  }

  .section-galleria a {
    margin-bottom: 20px;
  }
}


/*pagina elenco-richieste */
body.page-elenco-richieste.role-authenticated{
  .nd-region{
    padding-bottom: 10px !important;
  }
  table section{
    padding-top: 0px !important;
  }
  .wizard-input-option, .wizard-photo-option img {
    height: auto !important;
  }
  .wizard-photo-option {
     text-align: left !important;
     max-height: unset !important;
     min-height: unset !important;
  }
  table summary, table img, table legend{
    display: none;
  }
  table .form-item {
    margin-bottom: 10px !important;
  }
  table label{
    font-weight: bold;
  }
  .views-exposed-form {
    text-align: left !important;
    .form-group{
      margin: 0px !important;
    }
  }
  select{
    color: black;
    font-size: 16px;
  }
  #views-exposed-form-preventivi-top-bagno-elenco-richieste{
    text-align: center !important;

    .form-group{
      margin: 12px !important;
    }
  }
}

/*TYPO*/
.nd-region .form input,
.nd-region .form select,
.nd-region .form textarea{
  font-size: 15px !important;
}

@media (max-width: 768px) {
  .nd-region .form input,
  .nd-region .form select,
  .nd-region .form textarea{
    text-transform: unset !important;
    font-size: 17px !important;
  }
}

/*PAGINATOR*/
.pagination {
  .pager{
    text-align: center !important;
  }

  ul.pager__items{
    margin: 0px !important;
    padding: 0px !important;
  }
  li.pager__item a{
    color: black;
    font-size: 16px;
  }
  li.pager__item--first,
  li.pager__item--last{
    display: none;
  }
}


.section-preventivi {
  h3 p{
    font-size: 17px;
    margin-top: 14px;
  }
}




.section-sistema-garantito {

  h2{
    margin-bottom: 15px !important;
  }

  #section-servizi p{
    font-size: 16px !important;
    margin-bottom: 10px;
  }
  #section-servizi a{
    color: black !important;
  }
  .badge {
    display: inline-block;
    padding: 15px 30px;
    background-color: #659c65;
    color: #fff;
    font-weight: bold;
    font-size: 1.4em;
    border-radius: 40px;
    animation: fadeUp 1s ease-out forwards;
    animation-delay: 0.6s;
    margin: 0 0 15px;
  }

  .claim-group {
    animation: fadeUp 1s ease-out forwards;
    animation-delay: 0.8s;
    text-align: center;
  }

  .claim {
    font-size: 1em;
    margin-bottom: 10px;
    margin-top: 10px;

  }
  .claim.refund{
    font-weight: bold;
  }

  /* Fade up animation */
  @keyframes fadeUp {
    from {
      opacity: 0;
      transform: translateY(20px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }
  .step-line {
    margin: 30px auto;
    font-weight: 600;
    color: #555;
    font-size: 1em;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
    align-items: center;
  }

  .step-line span {
    display: flex;
    align-items: center;
    gap: 5px;
  }

}


.circle-graph{
  position: relative;
}

/* immagine cerchio*/
.bg-circle {
  position: absolute;
  width: 220px;
  border-radius: 50%;
  color: #000;
  font-size: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 10px;
  font-weight: 500;
}

/* Posizionamenti */
.bg-circle-top-left {
  top: 18%;
  left: 5%;
}

.bg-circle-top-right {
  top: 18%;
  right: 5%;
}

.bg-circle-bottom-right {
  bottom: 15%;
  right: 5%;
}

.bg-circle-bottom-left {
  bottom: 15%;
  left: 5%;
}

.bg-circle-center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 24px;
}

@media (max-width: 991px) {
  .bg-circle-top-left {
    top: 12%;
    left: 5%;
    text-align: left;
    width: 140px;
    font-size: 10px;
  }
  .bg-circle-top-right {
    top: 12%;
    right: 5%;
    text-align: right;
    width: 120px;
    font-size: 10px;
  }
  .bg-circle-bottom-right {
    bottom: 10%;
    right: 5%;
    text-align: right;
    width: 120px;
    font-size: 10px;
  }
  .bg-circle-bottom-left {
    left: 10%;
    bottom: 5%;
    text-align: left;
    width: 120px;
    font-size: 10px;
  }
  .bg-circle {
    width: 140px;
  }
  .bg-circle-center{
    font-size: 18px;
  }
}


@media (max-width: 767px) {
  .bg-circle-top-left {
    top: 5%;
    left: 5%;
    text-align: left;
    width: 120px;
    font-size: 8px;
  }
  .bg-circle-top-right {
    top: 5%;
    right: 5%;
    text-align: right;
    width: 120px;
    font-size: 8px;
  }
  .bg-circle-bottom-right {
    bottom: 4%;
    right: 5%;
    text-align: right;
    width: 120px;
    font-size: 8px;
  }
  .bg-circle-bottom-left {
    left: 5%;
    bottom: 4%;
    text-align: left;
    width: 120px;
    font-size: 8px;
  }
  .bg-circle {
    width: 140px;
  }
  .bg-circle-center{
    font-size: 14px;
  }
}


#drupal-modal{
  .webform-progress-tracker{
    display: none;
  }
  legend{
    border-bottom: unset !important;
    span{
      font-family: Dosis, arial, sans-serif;
      text-transform: uppercase;
      letter-spacing: 0.2em;
    }
  }

  label.option{
    border-radius: 15px;
    width: 100%;
    height: 290px;
  }
}


body.role-authenticated .main-nav{
  z-index: 1 !important;
}
